%define		hordeapp nag
#
%include	/usr/lib/rpm/macros.php
Summary:	Nag Task List Manager
Summary(pl.UTF-8):	Nag - zarządca list zadań
Name:		horde-%{hordeapp}
Version:	2.3.6
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/nag/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	c2fafc11f11e9350ab731ee02f87bc1b
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
Patch0:		%{hordeapp}-prefs.patch
URL:		http://www.horde.org/nag/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	webapps
Obsoletes:	%{hordeapp}
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	/usr/share/horde.* Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Nag is the Horde task list application. It stores todo items, things
due later this week, etc. It is very similar in functionality to the
Palm ToDo application.

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Nag) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Nag to aplikacja do zarządzania zadaniami dla Horde. Przechowuje
rzeczy do zrobienia, płatności w danym tygodniu itp. Jest bardzo
podobna w funkcjonalności do aplikacji Palm ToDo.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla Naga)
można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale tasklists templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing for the first time, You may need to
create the Nag database tables. To do so run:
zcat %{_docdir}/%{name}-%{version}/scripts/sql/%{hordeapp}.sql.gz | mysql horde
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/*.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/tasklists
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-nag.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 9213720
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2a28d2f
- migrated to apache 2.4

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> fb6fe84
- autoup to 2.3.6

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 111c698
- updated to: 2.3.5

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 3d6ce8e
- 2.3.4

* Wed Nov 12 2008 Jan Rękorajski <baggins@pld-linux.org> a2688ed
- 2.3.1

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> d47b49d
- rel 1
- noautoreq pear(/usr/share/horde.*)
- added new dirs to package

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> d3abfc0
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> f1962eb
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 4166c8b
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 7b82bf6
- up to 2.3
- removed unreadable tangle of macros and ugly hacks

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> 0b64b60
- update to 2.2rc2

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> 776f202
- update to 2.2rc2, unify macros, drop old trigger

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> aa4944b
- restored pl encoding broken by paszczus

* Wed Jan 09 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> e2834a4
- updated  to 2.2-rc1

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 14b558e
- removed bogus chars

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> be90185
- rel 2

* Thu Mar 15 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3e0b519
- updated to 2.1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 13818af
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a008fa3
- converted to UTF-8

